Skip to content
Start here

List application categories

GET/accounts/{account_id}/resource-library/categories

List application categories.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Path ParametersExpand Collapse
account_id: string
Query ParametersExpand Collapse
limit: optional number

Limit of number of results to return.

offset: optional number

Offset of results to return.

ReturnsExpand Collapse
errors: array of object { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
messages: array of object { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
success: true

Indicates whether the API call was successful.

result: optional array of object { id, created_at, description, name }

Returns the list of categories.

id: string

Returns the category ID.

created_at: string

Returns the category creation time.

description: string

Returns the category description.

name: string

Returns the category name.

List application categories

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/resource-library/categories \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "12345678-1234-1234-1234-123456789012",
      "created_at": "2025-01-01T00:00:00Z",
      "description": "Category description",
      "name": "Category name"
    }
  ]
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "12345678-1234-1234-1234-123456789012",
      "created_at": "2025-01-01T00:00:00Z",
      "description": "Category description",
      "name": "Category name"
    }
  ]
}